export declare class OrderedMap<K, V> {
    private root;
    private _size;
    constructor(iterable?: Iterable<readonly [K, V]> | null);
    set(key: K, val: V): OrderedMap<K, V>;
    has(key: K): boolean;
    get(key: K): V | undefined;
    delete(key: K): boolean;
    entries(): IteratorObject<import("./internal/balancedTree").KeyValuePair<K, V>, undefined, unknown>;
    keys(): IteratorObject<K, undefined, unknown>;
}
